Build link doesn't remove the puppetca corresponding to the host

03/01/2011 02:33 PM - Arnaud Sourioux

Status: Closed   
Assignee:    
Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When i try to build a host wich already has been connected to the puppetmaster,

so he already has a puppet certificate,

the puppet's host certificate should be remove,

or after the build completion when the host will try to connect to the puppetmaster,

he will receive an error and won't be able to communicate

at this time we have to delete it by hand everytime we want to rebuild a host.

ps : i don't really know if it is able to do it in foreman or if it must be asked to the puppet developper team

History

#1 - 03/01/2011 02:46 PM - Ohad Levy

- Status changed from New to Feedback

- Assignee deleted (Ohad Levy)

Foreman executes a puppetca --clean once the host requires a kickstart/preseed file.

I think that should be enough to allow for the host to generate a new certificate request.

#2 - 03/15/2011 02:42 PM - Arnaud Sourioux

It should be ok with a puppetca --clean $fqdn

but I can't load the /unattended/provision?spoof<% @host.ip %> in my PXELinux file

(explained here Support #706)

#3 - 06/19/2011 04:07 AM - Ohad Levy

- Status changed from Feedback to Closed

thats correct, using spoof puppetca is not being called.
